Bug 493316 - xfig merges system X resources overriding user set X resources
xfig merges system X resources overriding user set X resources
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xfig (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Stepan Kasal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 08:03 EDT by Ian Dall
Modified: 2009-04-27 17:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.2.5-19.a.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 17:38:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Dall 2009-04-01 08:03:30 EDT
Description of problem:
Even if a user has the resource Fig.inches set to false, 
when the user runs /usr/bin/xfig, the Fig.inches resource will be set to true.

Version-Release number of selected component (if applicable):
xfig-3.2.5-17

How reproducible:
Always

Steps to Reproduce:
1.echo Fig.inches:false | xrdb -merge
2.appres Fig | grep inches
3./usr/bin/xfig
4.appres Fig | grep inches
  
Actual results:

Fig.inches:	false
Fig.inches:	true


Expected results:
Fig.inches:	false
Fig.inches:	false


Additional info:

/usr/bin/xfig is a wrapper shell script which merges /usr/share/X11/app-defaults/Fig-color.

Doing this every time Xfig is run is quite the wrong thing to do as it overrides user preferences, and not just for that run, but changes the resourc e in the server for every other run, even if started without the help of the wrapper script. If xfig-Xaw3d needs different default resources than xfig-plain, then it should have a different resource class.
Comment 1 Fedora Update System 2009-04-01 11:16:19 EDT
xfig-3.2.5-18.a.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xfig-3.2.5-18.a.fc10
Comment 2 Hans de Goede 2009-04-01 11:20:30 EDT
Hi,

I had already rebased xfig to 3.2.5a (the a is new) in rawhide, which fixes this
amongst other things. I've just made an update to this version for F-10:
xfig-3.2.5-18.a.fc10

Please give this a spin, and preferably some thorough testing.
Comment 3 Fedora Update System 2009-04-02 13:18:05 EDT
xfig-3.2.5-18.a.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xfig'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3242
Comment 4 Fedora Update System 2009-04-08 12:12:45 EDT
xfig-3.2.5-19.a.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xfig-3.2.5-19.a.fc10
Comment 5 Fedora Update System 2009-04-09 12:08:55 EDT
xfig-3.2.5-19.a.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xfig'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3440
Comment 6 Fedora Update System 2009-04-27 17:38:17 EDT
xfig-3.2.5-19.a.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.